Subject: [Perc] DTMF in Double

From: Cullen Jennings <[email-masked]>
Date: Sun, 13 Aug 2017 12:16:04 -0700

I think Roni had a good point about DTMF can be done with the SIP INFO approach so I plan to add the text do double that says something along the lines of 

   When DTMF is sent with [RFC4733], it is end-to-end encrypted and the
   relay can not read it so it can not be used to control the media
   relay.  Other out of band methods to control the relay need to can
   be used instead.  One way to do this is to send DTMF with [RFC6086],
   which will be sent in the signalling thus allowing the relay to read
   the DTMF.

---

From: Adam Roach <[email-masked]>
Date: Sun, 13 Aug 2017 16:59:05 -0500

>     which will be sent in the signalling thus allowing the relay to read

RFC6086 doesn't define how to send DTMF in the signaling path any more 
than RFC3261, RFC675, or RFC791 do.

3GPP 24.229 does, if you want to cite that. The other two options are 
RFC4730 and "It's 2017 -- don't do that."

/a

---

From: Roni Even <[email-masked]>
Date: Mon, 14 Aug 2017 05:28:31 +0000

Hi Adan,
Yes these are the two options. 
I think that the important thing here is to caution that DTMF may be used for conference control and if encrypted end to end there need to be some conference level way to receive input from the conference participants (RFC4730, 3gpp 24.229) or having a media server that MUST have the end to end keys..

DTMF can be used for conference join(MD?), for routing callers to the right agent in call centers, for input of information during the call (E2E?),.... 
The first example may be relevant to the MD while the third is in general end to end and DTMF must be encrypted.

Roni

----Original Message-----
> From: Adam Roach [mailto:[email-masked]]
> Sent: יום ב 14 אוגוסט 2017 00:59
> To: Cullen Jennings; [email-masked]
> Cc: Roni Even
> Subject: Re: [Perc] DTMF in Double
> 
> > I think Roni had a good point about DTMF can be done with the SIP INFO
> > approach so I plan to add the text do double that says something along
> > the lines of
> >

---

From: Cullen Jennings <[email-masked]>
Date: Tue, 15 Aug 2017 10:21:39 -0700

I have no strong opinion if we should add this to the draft or not. When I read it written up, It seems way outside the scope of double and more like something that would be at a system level. But the PR if we want to adopt it is at 

https://github.com/ietf/perc-wg/pull/130 <https://github.com/ietf/perc-wg/pull/130>

> On Aug 13, 2017, at 10:28 PM, Roni Even <[email-masked]> wrote:
> 
> Hi Adan,

---

From: Adam Roach <[email-masked]>
Date: Tue, 15 Aug 2017 12:32:06 -0500

On 8/15/17 12:21 PM, Cullen Jennings wrote:
>
> I have no strong opinion if we should add this to the draft or not. 
> When I read it written up, It seems way outside the scope of double 
> and more like something that would be at a system level. But the PR if 
> we want to adopt it is at
>
> https://github.com/ietf/perc-wg/pull/130
>
LGTM.

/a

---

From: Roni Even <[email-masked]>
Date: Sun, 27 Aug 2017 05:27:50 +0000

+1

> -----Original Message-----
> Sent: יום ג 15 אוגוסט 2017 20:32
> To: Cullen Jennings; Roni Even
> Cc: [email-masked]